libxml++ 2.42.4

Public Member Functions | List of all members
xmlpp::exception Class Reference

Base class for all xmlpp exceptions. More...

`#include <libxml++/exceptions/exception.h>`

Inheritance diagram for xmlpp::exception:
[legend]

## Public Member Functions
| exception (const Glib::ustring & message)
| ~exception () noexcept override
virtual exception * | Clone () const
virtual void | Raise () const
const char * | what () const noexcept override

## Detailed Description

Base class for all xmlpp exceptions.

## Constructor & Destructor Documentation

## ◆ exception()

xmlpp::exception::exception | ( | const Glib::ustring & | message | ) |
| explicit

## ◆ ~exception()

xmlpp::exception::~exception | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ Clone()

virtual exception * xmlpp::exception::Clone | ( |  | ) | const
| virtual

Reimplemented in xmlpp::internal_error, xmlpp::parse_error, and xmlpp::validity_error.

## ◆ Raise()

virtual void xmlpp::exception::Raise | ( |  | ) | const
| virtual

Reimplemented in xmlpp::internal_error, xmlpp::parse_error, and xmlpp::validity_error.

## ◆ what()

const char * xmlpp::exception::what | ( |  | ) | const
| override virtual noexcept

Reimplemented from std::exception.